Subject: Re: SMP kernels on single processor machines

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 22 May 2004 09:11:26 +1000

On Fri, 2004-05-21 at 22:58, Marius Groeger wrote:

> FWIW, CONFIG_PREEMPT _does_ reduce the avarage scheduling latency.
> It's still sort of soft real-time, but the effect is measurable (I'm
> talking 2.4 kernels here, BTW) However, on desktop systems you
> probably don need to worry about this, but for an embedded system you
> may like the slightly improved reaction time.

Well... average latency is mostly meaningless, only peak latency really
matters for anything that need some sort of real time imho...

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/